Subject: Re: Arm + KASAN + syzbot

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 11 Mar 2021 14:09:04 +0000

On Thu, Mar 11, 2021 at 02:55:54PM +0100, Linus Walleij wrote:
> On Thu, Mar 11, 2021 at 11:54 AM Dmitry Vyukov <[email-masked]> wrote:
> > The instance has KASAN disabled because Go binaries don't run on KASAN kernel:
> > https://lore.kernel.org/linux-arm-kernel/[email-masked]/
> 
> I am still puzzled by this, but I still have the open question about how much
> memory the Go runtime really use. I am suspecting quite a lot, and the
> ARM32 instance isn't on par with any contemporary server or desktop
> when it comes to memory, it has ~2GB for a userspace program, after
> that bad things will happen: the machine will start thrashing.

I believe grafana is a Go binary - I run this in a VM with only 1G
of memory and no swap along with apache. It's happy enough.

USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
grafana   1122  0.0  5.9 920344 60484 ?        Ssl  Feb18  28:31 /usr/sbin/grafana-server --config=/etc/grafana/grafana.ini ...

So, I suspect it's basically KASAN upsetting Go somehow that then
causes the memory usage to spiral out of control.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel